<?php
/**
 * UserEdit.php
 *
 * This page is for users to edit their account information
 * such as their password, email address, etc. Their
 * usernames can not be edited. When changing their
 * password, they must first confirm their current password.
 *
 * jpWare php login system v.1.0.0
 * Copyright (C) 2009, Vlad Hristov (www.wonderwebware.com)
 * Copyright (C) 2004,2009  entity known as jpmaster77 (www.evolt.org/node/60384) and Ivan Novak (www.ivannovak.com)
 * Last Updated: Dec 1, 2009
 */
include("include/session.php");
$page = "useredit.php";
?>

<?php include("_header.html"); ?>
<div id="main" class="container_12">
<?php
/**
 * User has submitted form without errors and user's
 * account has been edited successfully.
 */
if(isset($_SESSION['useredit'])){
   unset($_SESSION['useredit']);
   
   echo "<h1>User Account Edit Success!</h1>";
   echo "<p><b>$session->username</b>, your account has been successfully updated. "
       ."<a href=\"main.php\">Main</a>.</p>";
}
else{
?>

<?php
/**
 * If user is not logged in, then do not display anything.
 * If user is logged in, then display the form to edit
 * account information, with the current email address
 * already in the field.
 */
if($session->logged_in){
?>

<h1>User Account Edit : <?php echo $session->username; ?></h1>
<?php
if($form->num_errors > 0){
   echo "<td><font size=\"2\" color=\"#ff0000\">".$form->num_errors." error(s) found</font></td>";
}
?>
<div id="userupdate">
	<form action="process.php" method="POST">
		<p class="grid_2">Name: </p><p class="left"><input class="left" type="text" name="name" maxlength="50" value="
			<?php
			if($form->value("name") == ""){
				echo $session->userinfo['name'];
			}else{
				echo $form->value("name");
			}
			?>"><?php echo $form->error("name"); ?></p>
		<div class="clear"></div>
		<p class="grid_2">Current Password: </p><p class="left"><input type="password" name="curpass" maxlength="30" value="<?php echo $form->value("curpass"); ?>"><?php echo $form->error("curpass"); ?></p>
		<div class="clear"></div>
		<p class="grid_2">New Password: </p><p class="left"><input class="left" type="password" name="newpass" maxlength="30" value="<?php echo $form->value("newpass"); ?>"><?php echo $form->error("newpass"); ?></p>
		<div class="clear"></div>
		<p class="grid_2">Email: </p><p class="left"><input class="left" type="text" name="email" maxlength="50" value="
			<?php
			if($form->value("email") == ""){
				echo $session->userinfo['email'];
			}else{
				echo $form->value("email");
			}
			?>"><?php echo $form->error("email"); ?></p>
		<div class="clear"></div>
		<p><input type="hidden" name="subedit" value="1">
		<input type="submit" value="Edit Account"></p>
	</form>
</div>
<?php
echo "[<a href=\"main.php\">Main</a>] ";
echo "[<a href=\"userinfo.php?user=$session->username\">My Account</a>]&nbsp;";

}
}

?>
</div>
<?php include("_footer.html"); ?>
